Bug 221167 - luma crashes when calling the browser
luma crashes when calling the browser
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: luma (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE7Target
  Show dependency treegraph
 
Reported: 2007-01-02 12:42 EST by Horst H. von Brand
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.3-12.fc7.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-18 12:42:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2007-01-02 12:42:19 EST
Description of problem:
Starting luma, and selecting the Browser gives a python crash

Version-Release number of selected component (if applicable):
luma-2.3-8.fc6

How reproducible:
Always (same on x86_64)

Steps to Reproduce:
1. Start luma
2. Ask for Browser
3.
  
Actual results:
Hang, crash message seen on starting tty:
  *** glibc detected *** python: double free or corruption (out): 0x0a2b2650 ***
Have to kill -TERM the python process running luma

Expected results:
Look at LDAP...

Additional info:
glibc-2.5.90-14, python-2.5-6.fc7
Comment 1 Jochen Schmitt 2007-01-08 14:02:40 EST
Please downgrade to python-2.4 or install the developement package of luma.

The problem of upgrading to python-2.5 is the need for rebuild a lot of packages
which are depending of python.

Using a mix of fc6 and fc7 packages is not a very good idea.

Best Regards:

Jochen Schmitt
Comment 2 Michael Colligan 2007-06-05 15:02:26 EDT
This was never a problem for me with FC6 but I am seeing this exact behavior on
a default install of F7 with only updates applied.

*** glibc detected *** python: double free or corruption (out): 0x085e05c0 ***

I was trying to do a search but I think this error will be found throughout the
application.

Comment 3 Jochen Schmitt 2007-06-05 15:25:26 EDT
I assume, that this is a problem with python and the most recent version of the
glibc.

It may be helpful to get an backtrace for further analysis.
Comment 4 Jochen Schmitt 2007-06-11 15:00:31 EDT
I have open #243762, becouse I believe, it's a python issue.
Comment 5 Jochen Schmitt 2007-06-12 12:12:10 EDT
I have found the solution for this issue.

If you update to python-ldap-2.3, the reported issue doesn't ocure anymore.

You may find the python-ldap-2.3-1.fc7 package in the update-testing repository.

I will create a package of luma, which will check for python-ldap-2.3 as a
requirement.
Comment 6 Michael Schwendt 2007-06-12 13:39:10 EDT
So, although a test-update fixes this you close the ticket with NOTABUG?
Comment 7 Jochen Schmitt 2007-06-13 10:12:35 EDT
Yes, becouse its a issue coused by python-ldap and not by the luma package.

I have wrote, that if you update python-ldap to version 2.3, luma works without 
any modification on the luma package.

But I will create a package of luma for F7 and above, which have a python-ldap 
>= 2.3 Requirement.
Comment 8 Fedora Update System 2007-06-14 17:12:45 EDT
luma-2.3-12.fc7.1 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2007-06-18 12:42:49 EDT
luma-2.3-12.fc7.1 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.